Name:		rocksdb
Version:	4.5.0
Release:	1%{?dist}
Summary:	RocksDB: a Persistent Key-Value Store for Flash and RAM Storage

License:	BSD
URL:		https://github.com/facebook/rocksdb
# Q url?  version?? this is a snapshot...
Source0:	rocksdb-20160212.tar.gz

# Fix cmake to work with linux, add install target.
Patch1:		rocksdb-cmake1.patch
Patch2:		rocksdb-install1.patch
Patch3:		rocksdb-test1.patch
Patch4:		rocksdb-bzip2.patch
Patch5:		rocksdb-cmake2.patch

BuildRequires:	cmake >= 2.8.0
BuildRequires:	gflags-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
#BuildRequires:	lz4-devel
BuildRequires:	snappy-devel

%description
This code is a library that forms the core building block for a fast
key value server, especially suited for storing data on flash drives.
It has a Log-Structured-Merge-Database (LSM) design with flexible tradeoffs
between Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF)
and Space-Amplification-Factor (SAF). It has multi-threaded compactions,
making it specially suitable for storing multiple terabytes of data in a
single database.

Start with example usage here: https://github.com/facebook/rocksdb/tree/master/examples

See the [github wiki](https://github.com/facebook/rocksdb/wiki) for more explanation.

The public interface is in `include/rocksdb/'.  Callers should not include or
rely on the details of any other header files in this package.  Those
internal APIs may be changed without warning.

Design discussions are conducted in https://www.facebook.com/groups/rocksdb.dev/

RocksDB is developed and maintained by Facebook Database Engineering Team.
It is built on earlier work on LevelDB by Sanjay Ghemawat (sanjay@google.com)
and Jeff Dean (jeff@google.com)

%package devel
Summary:        Files for development using %{name}
Group:          System/Libraries
Requires: %{name} = %{version}-%{release}
# Requires:       pkgconfig

%description devel
This package includes the headers and libraries for development
when building programs that use %{name}.

%prep
%setup -q -n rocksdb-20160212
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%cmake	. \
	-DCMAKE_BUILD_TYPE=Debug \
	-DGFLAGS=1 \
	-DSNAPPY=1 \
	-DJEMALLOC=0 \
	-DZLIB=1 \
	-DBZIP2=1 \
#	-DLZ4=1 \

make %{?_smp_mflags}

%check
# Execute the unit tests
# Q make check


%install
make install DESTDIR=%{buildroot}

# Q README file?
# Q Sample code?
# Q apps?

%files

%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Thu Feb 18 2016 Marcus Watts <mwatts@redhat.com> - 4.5.0-1
- Initial RPM Release
